/*
 * Generate definitions needed by assembly language modules.
 * This code generates raw asm output which is post-processed
 * to extract and format the required data.
 */

#include <linux/sched.h>
#include <linux/signal.h>
#include <asm/ucontext.h>
#include "sigframe.h"
#include <asm/fixmap.h>

#define DEFINE(sym, val) \
        asm volatile("\n->" #sym " %0 " #val : : "i" (val))

#define BLANK() asm volatile("\n->" : : )

void foo(void)
{
	DEFINE(SIGCONTEXT_eax, offsetof (struct sigcontext, eax));
	DEFINE(SIGCONTEXT_ebx, offsetof (struct sigcontext, ebx));
	DEFINE(SIGCONTEXT_ecx, offsetof (struct sigcontext, ecx));
	DEFINE(SIGCONTEXT_edx, offsetof (struct sigcontext, edx));
	DEFINE(SIGCONTEXT_esi, offsetof (struct sigcontext, esi));
	DEFINE(SIGCONTEXT_edi, offsetof (struct sigcontext, edi));
	DEFINE(SIGCONTEXT_ebp, offsetof (struct sigcontext, ebp));
	DEFINE(SIGCONTEXT_esp, offsetof (struct sigcontext, esp));
	DEFINE(SIGCONTEXT_eip, offsetof (struct sigcontext, eip));
	BLANK();

	DEFINE(RT_SIGFRAME_sigcontext,
	       offsetof (struct rt_sigframe, uc.uc_mcontext));

	DEFINE(TI_task, offsetof (struct thread_info, task));
	DEFINE(TI_exec_domain, offsetof (struct thread_info, exec_domain));
	DEFINE(TI_flags, offsetof (struct thread_info, flags));
	DEFINE(TI_preempt_count, offsetof (struct thread_info, preempt_count));
	DEFINE(TI_addr_limit, offsetof (struct thread_info, addr_limit));
	DEFINE(TI_sysenter_return,
			offsetof (struct thread_info, sysenter_return));
	DEFINE(TI_real_stack, offsetof (struct thread_info, real_stack));
	DEFINE(TI_virtual_stack, offsetof (struct thread_info, virtual_stack));
	DEFINE(TI_user_pgd, offsetof (struct thread_info, user_pgd));

	DEFINE(FIX_ENTRY_TRAMPOLINE_0_addr,
			__fix_to_virt(FIX_ENTRY_TRAMPOLINE_0));
	DEFINE(FIX_VSYSCALL_addr, __fix_to_virt(FIX_VSYSCALL));
	DEFINE(PAGE_SIZE_asm, PAGE_SIZE);
	DEFINE(task_thread_db7,
		offsetof (struct task_struct, thread.debugreg[7]));
}
